net.sf.okapi.common

## Class Range

- java.lang.Object
- - net.sf.okapi.common.Range

-     public class Range
      extends java.lang.Object

  Represents a range: a start and end position.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `end` Ending position of this range.
    `java.lang.String` | `id` Optional id for this range.
    `int` | `start` Starting position of this range.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Range(int start, int end)` Creates a new range with given starting and ending values.
    `Range(int start, int end, java.lang.String id)` Creates a new range with given starting and ending values and an id.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(int pos)` Returns true if the range contains a given position within its bounds.
    `boolean` | `contains(Range range)` Returns true if the range contains a given range within its bounds.
    `boolean` | `intersectsWith(Range range)` Returns true if the range intersects with a given range.
    `java.lang.String` | `toString()` Gets the string representation of the range with its id (its start and end position, and the id between parenthesis).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### start

          public int start

      Starting position of this range.

    - #### end

          public int end

      Ending position of this range.

    - #### id

          public java.lang.String id

      Optional id for this range.

  - ### Constructor Detail

    - #### Range

          public Range(int start,
                       int end)

      Creates a new range with given starting and ending values.
      Parameters:
        `start` - the start value of the new range.
        `end` - the end value of the new range.

    - #### Range

          public Range(int start,
                       int end,
                       java.lang.String id)

      Creates a new range with given starting and ending values and an id.
      Parameters:
        `start` - the start value of the new range.
        `end` - the end value of the new range.
        `id` - the identifier value of the new range.

  - ### Method Detail

    - #### contains

          public boolean contains(int pos)

      Returns true if the range contains a given position within its bounds.
      Parameters:
        `pos` - the given position.
      Returns:
        true if the given position is inside the range.

    - #### contains

          public boolean contains(Range range)

      Returns true if the range contains a given range within its bounds.
      Parameters:
        `range` - the given range.
      Returns:
        true if the given range is inside the range.

    - #### intersectsWith

          public boolean intersectsWith(Range range)

      Returns true if the range intersects with a given range.
      Parameters:
        `range` - the given range.
      Returns:
        true if the given and this range have at least one common position.

    - #### toString

          public java.lang.String toString()

      Gets the string representation of the range with its id (its start and end position, and the id between parenthesis).
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string representation of the range and its id.